<template>
	<div v-if="userStore.isPcorH" class="demo allwidth">
		<img :src="list?.goods_img" class="detailimg" />
		<div class="yuyue">
			<div class="p1">{{ list?.category_name }}</div>
			<el-popover placement="right" width="180" trigger="hover">
				<template #reference>
					<div class="yuebottom">{{ t("productinfo.booking") }}</div>
				</template>
				<template #default>
					<div class="erweis">
						<img :src="wp" class="erweimage" />
						<p>{{ t("productinfo.qrbooking") }}</p>
					</div>
				</template>
			</el-popover>
		</div>
		<div class="info">
			<div class="infotitle">{{ t("productinfo.productdetail") }}</div>
			<div class="content" v-html="list.contents"></div>
		</div>
	</div>
	<div v-if="!userStore.isPcorH" class="demoh5">
		<img :src="list?.goods_img" class="detailimg" />
		<div class="yuyue">
			<div class="p1">{{ list?.category_name }}</div>
			<el-popover placement="right" trigger="hover">
				<template #reference>
					<div class="yuebottom">{{ t("productinfo.booking") }}</div>
				</template>
				<template #default>
					<div class="erweish5">
						<img
							style="width: 100%"
							:src="wp"
							class="erweimageh5" />
						<p>
							{{ t("productinfo.qrbooking") }}
						</p>
					</div>
				</template>
			</el-popover>
		</div>
		<div class="info">
			<div class="infotitle">{{ t("productinfo.productdetail") }}</div>
			<div class="content" v-html="list.contents"></div>
		</div>
	</div>
</template>
<script setup name="home">
import { useI18n } from "vue-i18n";
import { geturl } from "@/utils/index.js";
const { locale, t } = useI18n();
import { ref, computed } from "vue";
const route = useRoute();
const list = ref({});
import useUserStore from "~/store/index";
const userStore = useUserStore();
let row = localStorage.getItem("gooddetail");
list.value = JSON.parse(row);
const userinfo = computed(() => {
	return userStore.info;
});
const url = geturl();
const wp = ref();

const getlist = async () => {
	const data = await $fetch(url + "/api/getQr", {
		method: "post",
		body: {
			page: "pages/StoreChildren/modelDetail",
			scene: `type=${list.value.goods_sell_type}&goods_id=${list.value.id}`,
			//
			env_version:
				process.env.NODE_ENV == "development" ? "release" : "release", //环境
			check_path: false,
		},

		headers: {
			"Content-Type": "application/json",
		},
	});
	wp.value = data.image;
};

onMounted(async () => {
	getlist();
});
</script>

<style scoped lang="scss">
.demo {
	padding-top: 39px;
	.detailimg {
		width: 80%;
		height: auto;
		display: block;
		margin: auto;
	}
	.yuyue {
		width: 100%;
		border: 2px solid #171715;
		height: 120px;
		display: flex;
		padding: 0 45px;
		align-items: center;
		margin: 51px 0;
		.p1 {
			font-size: 32px;
			flex: 1;
		}
		.yuebottom {
			width: 180px;
			height: 60px;
			border: 2px solid #42a763;
			text-align: center;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 18px;
			color: #42a763;
			cursor: pointer;
		}
	}

	.info {
		width: 100%;
		.infotitle {
			background-color: #171715;
			height: 90px;
			color: white;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 28px;
		}
		.content {
			margin-top: 42px;
			font-size: 16px;
			:deep(img) {
				max-width: 100%;
				display: block;
				margin: auto;
			}
			:deep(.ql-align-right) {
				text-align: right;
			}
			:deep(.ql-align-center) {
				text-align: center;
			}
		}
	}
}
.demoh5 {
	margin-top: 29px;
	padding: 0 15px;
	.detailimg {
		width: 100%;
		height: auto;
	}
	.yuyue {
		width: 100%;
		border: 2px solid #171715;
		aspect-ratio: 5.4;
		display: flex;
		padding: 0 20px;
		align-items: center;
		margin: 25px 0;
		.p1 {
			font-size: 0.48rem;
			flex: 1;
		}
		.yuebottom {
			width: 2.4rem;
			height: 0.9rem;
			border: 0.04px solid #42a763;
			text-align: center;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 0.28rem;
			color: #42a763;
			cursor: pointer;
		}
	}

	.info {
		width: 100%;
		.infotitle {
			width: 100%;
			background-color: #171715;
			aspect-ratio: 6;
			color: white;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 0.42rem;
		}
		.content {
			margin-top: 42px;
			font-size: 16px;
			:deep(img) {
				max-width: 100%;
				display: block;
				margin: auto;
			}
			:deep(.ql-align-right) {
				text-align: right;
			}
			:deep(.ql-align-center) {
				text-align: center;
			}
		}
	}
}

.erweis {
	// width: 200px;
	// width: 170px;
	.erweimage {
		width: 100%;
		height: auto;
	}
	p {
		font-size: 16px;
		text-align: center;
		margin-top: 10px;
	}
}
.erweish5 {
	// width: 2.8rem;
	.erweimageh5 {
		width: 1.3rem;
		height: auto;
		margin: auto;
	}
	p {
		font-size: 0.28rem;
		text-align: center;
		margin-top: 0.15rem;
	}
}
</style>
